System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.EventArgs

A cancelable event is raised by a component when it is about to perform an action that can be canceled, such as the event of a .

The event is deprecated and has been replaced by . It is offered as an example here only to illustrate the usage of .

provides the property to indicate whether the event should be canceled.

Provides data for a cancelable event.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the property set to false.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the property set to the given value.

  true to cancel the event; otherwise, false.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets a value indicating whether the event should be canceled.